airgeddon (11.0+parrot0) testing; urgency=medium
 * Improvements in plugins system
 * GPU support for hashcat
 * Keep compatibility for hashcat -m 2500 on new hashcat versions
 * Improvement for busy ports checkings on Evil Twin attacks, now show conflicting process
 * Fixed error on captive portal trophy file path when only dir (no file) specified
 * Added CI files to be used in Github actions for Docker automated building

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Mon, 01 Feb 2022 00:49:24 +0400

airgeddon (10.42+parrot0) testing; urgency=medium
 * Changed airmon compatibility check to fit same method used by airmon
 * VIF support check added before launching Evil Twin attacks
 * airgeddon version shown in title at main menu
 * Fixed arabic scrambled strings and added missing arabic strings to missing dependencies plugin
 * Fixed debug mode malfunction
 * Added busy ports checkings on Evil Twin attacks
 * Dockerfile rollback to Arch (ArchStrike image as base) due to Parrot repos problems

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Tue, 03 Aug 2021 10:36:51 +0200

airgeddon (10.41+parrot0) testing; urgency=medium
 * Fixed error on PMKID hash validation
 * Created an option to avoid Network Manager force killing on Evil Twin attacks
 * Code improvements to allow new kind of arguments based plugins
 * Dsniff Evil Twin captive portal DNS black hole replaced by dnsmasq
 * Dockerfile rollback to Parrot (Parrot Security image as base) to avoid Arch Glibc + Dockerhub automated builds problem

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Mon, 22 Mar 2021 11:20:47 +0500

airgeddon (10.40+parrot0) testing; urgency=medium
 * Removed deprecated route command
 * Fixed error on WPS PINs found in database counter
 * Sslstrip Evil Twin attack replaced by Bettercap-Sslstrip2 Evil Twin attack, sslstrip dependency removed
 * Fixed error on Evil Twin attacks when tmux and Bettercap 2.x used
 * Fixed wrong username shown on asleap decryption after capture for Enterprise Evil Twin attack
 * Fixed freezing while trying to resume reaver session

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Wed, 20 Jan 2021 00:07:13 +0400

airgeddon (10.31+parrot0) testing; urgency=medium
 * Fixed error of no returning to DoS menu after fail on handshake capture for Evil Twin Captive portal attack
 * Fixed error of no returning to Evil Twin main menu for some special situations on BeEF attack
 * Removed deprecated hcxpcaptool, replaced by hcxpcapngtool
 * Replaced old PMKID hash format to be used in hashcat, from 16800 to 22000
 * Improved responsive behaviour of Evil Twin Captive Portal web page
 * Compatibility extended to Bettercap 2.x (>=2.28) for sslstrip2/BeEF Evil Twin attack

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Mon, 14 Dec 2020 18:27:28 +0700

airgeddon (10.30+parrot0) testing; urgency=medium
 * Fixed error on internet interface selection menu when no number provided
 * Fixed BeEF error due forced config file changes for some versions
 * Fixed weird error for endless loop while capturing handshake on some devices
 * Fixed terminal freeze problem when Ctrl+C pressed on path prompt
 * Fixed Network Manager problem on fake AP used for Evil Twin attacks
 * Arabic language translation added (Thank you to "darthvader-htb")

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sat, 17 Oct 2020 21:55:34 +0600

airgeddon (10.21+parrot0) testing; urgency=medium
 * Improved hostapd-wpe config for some conflicting Linux
 * Dockerfile migrated to Arch (ArchStrike image as base) to avoid Debian based missing packages problem
 * After PMKID capturing, now additionally can transform captured file into .cap aircrack-ng file format

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Mon, 15 Jun 2020 22:01:45 +0800

airgeddon (10.20+parrot0) testing; urgency=medium

 * Big language strings array now loaded only once and printing system changed. Speed highly improved
 * Fixed problem for handshake detection on captured files containing only handshake (without pmkid)
 * Missing dependencies plugin adapted to install some special (missing on repos due retirement) packages
 * Dockerfile adapted to work flawlessly with the deprecated retired packages

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Wed, 06 May 2020 16:23:13 +0700
 
airgeddon (10.11+parrot0) testing; urgency=medium

 * Fixed error on PMKID capturing due hcxdumptool different params for different versions
 * Added feature to detect captured PMKID while capturing Handshake
 * Integration of PMKID on Evil Twin Captive Portals

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Tue, 24 Mar 2020 21:22:42 +0100

airgeddon (10.10+parrot0) testing; urgency=medium

 * PMKID capture feature
 * PMKID offline decryption feature
 * Tested compatibility with Manjaro Linux
 * Fixed error on auto_update plugin on some Linux distros

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Fri, 20 Mar 2020 10:20:15 +0200

airgeddon (10.01+parrot0) testing; urgency=medium

 * Removed deprecated ifconfig and iwconfig commands and dependencies
 * Fixed error on enterprise certificates validation
 * Added autoselection for secondary interface if only one existing
 * Airmon compatibility check system refactored
 * Fixed error in default paths trophy files for ettercap/bettercap

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Wed, 08 Jan 2020 10:23:36 +0700

airgeddon (10.0+parrot0) testing; urgency=medium

 * Added plugins system
 * Added example plugin: Missing dependencies auto-installation for some distros (Kali, Parrot, BlackArch)
 * Improvements for Evil Twin on captive portal detection for newer devices
 * Missing 5GHz channels added
 * Github pull request template added and issue templates updated
 * Fixed error on hex2ascii conversion for some WEP passwords

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sun, 03 Nov 2019 20:45:23 +0800

airgeddon (9.23+parrot0) testing; urgency=medium

 * Fixed error printing hints
 * Fixed problem with default values on options file creation

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Fri, 27 Sep 2019 07:42:57 +0900

airgeddon (9.22+parrot0) testing; urgency=medium

  * Improved certificates validations and error messages
  * Removed useless internet access DNS resolution method for captive portal Evil Twin, now pure dnsspoof
  * Fixed exit on tmux launch if tmux not installed
  * Added more charset combinations for hashcat bruteforce attacks
  * Fixed length problem on hashcat bruteforce decryption attacks
  * Fixed handshake capture menu error
  * Compatibility extended to Pentoo Linux
  * Removed unneeded expect (unbuffer) dependency
  * Added tab autocompletion for every path input

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sun, 08 Sep 2019 19:22:57 +0100

airgeddon (9.21+parrot0) testing; urgency=medium

  * Fixed non-closing windows on some DoS pursuit mode attacks
  * Added retrocompatibility for mdk3, added option in .airgeddonrc file to handle it
  * Fixed bug on WEP all-in-one attack (Fake Auth) for SSIDs containing spaces
  * Fixed repeated enterprise plain passwords captured on trophy files
  * Added custom certificates creation for enterprise attacks
  * Fixed error on BeEF attack using tmux

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Mon, 12 Aug 2019 20:23:15 +0500

airgeddon (9.20+parrot0) testing; urgency=medium

  * Added option to use tmux instead of xterm (Thank you to "xpz3")
  * Added WPS null PIN attack (reaver)

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sat, 25 May 2019 19:39:23 +0200

airgeddon (9.11+parrot0) testing; urgency=medium

  * Fixed error shown on enterprise attacks for some wifi cards
  * Fixed BeEF error due forced config file changes on BeEF 0.4.7.1 and 0.4.7.2 versions
  * Added ipv6 support for BeEF
  * Options .airgeddonrc file now also updated on automatic update keeping user's preferences

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Fri, 12 Apr 2019 10:24:51 +0100

airgeddon (9.10+parrot0) testing; urgency=medium

  * Mdk3 replaced by Mdk4
  * Fixed some minor bugs on enterprise plain text captured password process
  * Fixed minor bug forcing interface mode change after smooth enterprise attack
  * Tested compatibility with Wifislax 64-2.x and Kali 2019.x
  * Fixed dependency problem to avoid use of xxd
  * Routing rules adapted to work with nftables

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sat, 30 Mar 2019 20:20:34 +0900

airgeddon (9.01+parrot0) testing; urgency=medium

  * Improvments on options environment var system
  * Minor fixes for ARM devices
  * Fixed iptables (nf_tables) problem

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Thu, 31 Jan 2019 15:22:16 +0700
  
airgeddon (9.0+parrot0) testing; urgency=medium

  * New WPA/WPA2 enterprise attacks menu
  * New WPA/WPA2 enterprise offline decryption menu
  * Compatibility extended to Linux Mint 18.x
  * Flag system for options based on fallback substitution variables (config file, command line and menus)
  * Fixed error on hashcat bruteforce decryption attacks regarding length

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Tue, 29 Jan 2019 16:13:43 +0100
 
airgeddon (8.12+parrot0) testing; urgency=medium

  * Fixed error on WPS attacks for strange chars in some SSIDs
  * Tested compatibility with Kali 2018.3/4, Fedora 28, Backbox 5.x and BlackArch 2018.06.01
  * Added prompt symbol for every user interaction
  * Improved regex for BSSID check
  * Changes on contributing policies
  * Github pull request template added and issue templates updated
  * Added Wayland graphic system support (Thank you to "fr0xk")
  * Fixed print error on flying saucer intro for some terminals

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Thu, 01 Nov 2018 12:15:12 +0300

airgeddon (8.11+parrot0) testing; urgency=medium

  * Turkish language translation added (Thank you to "UN5T48L3")
  * Extended cards compatibility. Now airmon non compatible cards can be used
  * Fixed error on captive portal for some SSID strange chars
  * Fixed error showing SSIDs containing spaces on WPS network selection menu
  * Fixed error on chipset detection for some cards

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Thu, 16 Aug 2018 01:15:34 +0200

airgeddon (8.10+parrot0) testing; urgency=medium

  * WPS decrypted networks now have trophy file
  * Tested compatibility with Kali 2018.2, Ubuntu 18.04 and Parrot 4.x
  * Controlled error for unsupported bettercap 2.x version
  * Automatic check added on Handshake capture (Thank you to "IwraStudios")
  * Fixed card detection bug on some Linux

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sun, 18 Jun 2018 20:32:53 +0300

airgeddon (8.01+parrot0) testing; urgency=medium

  * German language translation added (Thank you to "hamperfait")
  * Filters enabled on scannings based on menu or kind of attack
  * WPS PIN database now is updated on startup updates too
  * Return option now always at position 0 on all menus
  * Removed --weak--hash-threshold option for hashcat 4.0.0 or higher
  * Tested compatibility with Parrot 3.11
  * Fixed aspect of network selection menu when network power is equal to -1

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Mon, 01 Apr 2018 00:24:56 +0900

airgeddon (8.0+parrot0) testing; urgency=medium

  * Added 5Ghz full support (scans, attacks, card detection, etc.)
  * Tested compatibility with Kali 2018.1, BlackArch 2017.12.11, Fedora 27, Gentoo 20180206, OpenSUSE 42.3 and Parrot 3.10
  * Fixed error setting ESSID on some wash versions while scanning
  * Fixed error on secondary interface selection menu for "DoS pursuit mode"

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Tue, 20 Feb 2018 22:47:16 +0800

airgeddon (7.23+parrot0) testing; urgency=medium

  * Fixed error in Docker container on some host O.S.
  * Fixed error message on offline Arcadyan PIN algorithm calculation
  * Polish language translation added (Thank you to "dodg3rmaq")
  * Added "DoS pursuit mode" on DoS attacks (including DoS used on Evil Twin attacks) to avoid AP channel hopping
  * Tested compatibility with Parrot 3.9, BlackArch 2017.08.30 and Kali 2017.3

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sat, 02 Dec 2017 01:47:34 +0200

airgeddon (7.22+parrot0) testing; urgency=medium

  * import airgeddon 7.22
  * Fixed error caused by Bettercap. Bug: https://github.com/evilsocket/bettercap/issues/356
  * Arcadyan WPS PIN generation algorithm integrated
  * Tested compatibility with Kali 2017.2 and Parrot 3.8
  * WPS Bully bruteforce attack modified to use --sequential (-S) argument
  * Added WPS offline PIN generation and database menu option

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Sun, 22 Oct 2017 10:36:40 +0100

airgeddon (7.21+parrot0) testing; urgency=medium

  * import airgeddon 7.21
  * Italian language translation added (Thank you to "salu90")
  * Tested compatibility with Parrot 3.7, Fedora 26 and Wifislax 64-1.1
  * Improved check for root permissions, now mandatory
  * Fixed bug for some menu inputs using special chars. Now sanitized
  * Code improvements, removed new shellcheck warnings
  * Fixed bug launching BeEF Evil Twin attack twice

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Fri, 19 Sep 2017 19:56:40 +0800

airgeddon (7.2+parrot0) testing; urgency=medium

  * import airgeddon 7.2
  * Improved chipset detection
  * New language and options menu
  * Colorization, auto-update and startup language autodetection now can be enabled/disabled persistently from menu
  * Language can be set permanently from menu even for next startup after an update
  * New check using xset internal tool to check for a working X window system in order to avoid uncontrolled xterm errors

 -- v1s1t0r <v1s1t0r.1s.h3r3@gmail.com>  Fri, 11 Aug 2017 16:06:40 +0400

airgeddon (7.1.1+parrot0) testing; urgency=medium

  * import airgeddon 7.11
  * Added hccapx support for hashcat 3.40 or higher
  * Decrypted hashcat trophy files beautified
  * Added confirm questions before attacks if no target selected
  * WPA/WPA2 decrypted files using aircrack now have trophy file
  * Some outputs colorized using ccze  * 

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 05 Jul 2017 13:00:10 +0200

airgeddon (7.1+parrot0) testing; urgency=medium

  * New upstream release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 12 Jun 2017 01:11:29 +0200

airgeddon (7.02+parrot1) testing; urgency=medium

  * Fix dependency name.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 28 May 2017 21:51:34 +0200

airgeddon (7.02+parrot0) testing; urgency=low

  * Initial release. 

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 28 May 2017 21:10:03 +0200
